import { computed, defineProps } from "vue"

export default function() {
	const props = defineProps({
		formProps: {
			type: Object,
			default: () => {
				return {}
			}
		},
		modelValue
	})

	const _value = computed({
		get() {
			return props.modelValue
		},
		set(val) {
			emit('update:modelValue', val)
		}
	})

	const emit = defineEmits(['update:modelValue'])

	return { props, emit, _value }
}